Subject: bug#58505: 29.0.50; Time out waiting for reply from selection owner

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Oct 2022 09:26:51 +0300

> Cc: [email-masked]
> Date: Fri, 14 Oct 2022 14:23:29 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Jean Louis <[email-masked]> writes:
> 
> > There is problem when Emacs runs in separate instance while other
> > instance is running:
> >
> > 1. I launch one instance, and have there heavy process running and
> >  processing items. Because instance is fully busy, I launch new
> >  instance.
> 
> This is a well known problem with our selection code that cannot be
> easily fixed.  Process filters get to run while responding to selection
> events, and (alongside the first Emacs instance being under high load in
> general) can disrupt selection data transfer long enough for the second
> instance to time out.

The solution, of course, is to never run more than a single Emacs
session on the same machine.